%define develname	%mklibname %{name} -d

Name:          rapidxml
Version:       1.13
Release:       %mkrel 2
Summary:       Fast XML parser
License:       Boost or MIT
Group:         System/Libraries
URL:           http://rapidxml.sourceforge.net/
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}-with-tests.tar.xz
Patch0:        %{name}-declarations.patch
BuildRequires:  dos2unix

%description
RapidXml is an attempt to create the fastest XML parser possible, while
retaining usability, portability and reasonable W3C compatibility. It is an
in-situ parser written in modern C++, with parsing speed approaching that of
strlen function executed on the same data.

%package -n %{develname}
Summary:       Fast XML parser
Group:         Development/Libraries
Provides:      %{name}-static = %{version}-%{release}

%description -n %{develname}
RapidXml is an attempt to create the fastest XML parser possible, while
retaining usability, portability and reasonable W3C compatibility. It is an
in-situ parser written in modern C++, with parsing speed approaching that of
strlen function executed on the same data.

%prep
%setup -qn %{name}-%{version}-with-tests
%patch0 -p1

dos2unix license.txt

# Rename it to .h (but keep .hpp for tests)
sed -i 's/.hpp/.h/g' manual.html
for HPP in *.hpp; do
  cp -p $HPP ${HPP%hpp}h
  sed -i 's/.hpp/.h/g' ${HPP%hpp}h
done

%build
cd tests
# -jX is useless here
make build-g++-debug
cd -

%install
rm -rf %buildroot
for H in *.h; do
  install -Dpm0644 $H %{buildroot}%{_includedir}/$H
done


%files -n %{develname}
%doc license.txt manual.html
%{_includedir}/*

%changelog
* Tue Aug 09 2016 bb <bb> 1.13-2pclos2016
- fix rpmgroup

* Sat Aug 22 2015 bb <bb> 1.13-1pclos2015
- import into pclos for kodi 15.1

